## frameworkintegration 5.44.0

=== src/kpackage-install-handlers/kns/CMakeLists.txt ===
add_executable(knshandler main.cpp)
target_link_libraries(knshandler KF5::NewStuffCore KF5::I18n KF5::Notifications)

install(TARGETS knshandler DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF5}/kpackagehandlers)

add_executable(knshandlertest main.cpp)
target_link_libraries(knshandlertest KF5::NewStuffCore KF5::I18n KF5::Notifications)
target_compile_definitions(knshandlertest PRIVATE -DTEST)

if(EXISTS "${CMAKE_INSTALL_PREFIX}/${CONFIG_INSTALL_DIR}/colorschemes.knsrc")
    add_test(NAME test_kns-kpackage COMMAND knshandlertest kns://colorschemes.knsrc/api.kde-look.org/1136471)

    add_test(NAME test_kns-kpackage-fail COMMAND knshandlertest kns://colorschemes.knsrc/xxx/1136471)
    set_tests_properties(test_kns-kpackage-fail PROPERTIES WILL_FAIL TRUE)
    message(STATUS "KNS-KPackage test enabled")
endif()

=== debian/changelog ===
frameworkintegration (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:55:57 +0000

frameworkintegration (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:13:43 +0000

frameworkintegration (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:19:41 +0000

frameworkintegration (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:02:40 -0600

frameworkintegration (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:14:52 +0000

=== debian/control ===
Source: frameworkintegration
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               dbus-x11,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libappstreamqt-dev,
               libkf5config-dev (>= 5.44.0~),
               libkf5configwidgets-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5iconthemes-dev (>= 5.44.0~),
               libkf5kio-dev (>= 5.44.0~),
               libkf5newstuff-dev (>= 5.44.0~),
               libkf5notifications-dev (>= 5.44.0~),
               libkf5package-dev (>= 5.44.0~),
               libkf5widgetsaddons-dev (>= 5.44.0~),
               libpackagekitqt5-dev,
               libqt5widgets5,
               libqt5x11extras5-dev (>= 5.6.1~),
               libxcursor-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtbase5-private-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/frameworkintegration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/frameworkintegration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/frameworkintegration

Package: frameworkintegration
Architecture: any
Depends: fonts-noto-hinted, ${misc:Depends}, ${shlibs:Depends}
Breaks: kf5-infopage, kf5-integrationplugin, kf5-platformtheme
Replaces: kf5-infopage, kf5-integrationplugin, kf5-platformtheme
Description: KF5 cross-framework integration plugins
 Framework Integration is a set of plugins responsible
 for better integration of Qt applications when running
 on a KDE Plasma workspace.

Package: libkf5style-dev
Architecture: any
Section: libdevel
Depends: libkf5configwidgets-dev (>= 5.44.0~),
         libkf5iconthemes-dev (>= 5.44.0~),
         libkf5style5 (= ${binary:Version}),
         ${misc:Depends}
Description: KF5 cross-framework integration plugins - KStyle
 Framework Integration is a set of plugins responsible
 for better integration of Qt applications when running
 on a KDE Plasma workspace.
 .
 libkf5style5 provides integration with KDE Plasma Workspace settings
 for Qt styles.
 .
 Derive your Qt style from KStyle to automatically inherit
 various settings from the KDE Plasma Workspace, providing a
 consistent user experience. For example, this will ensure a
 consistent single-click or double-click activation setting,
 and the use of standard themed icons.
 .
 This package provides the development files.

Package: libkf5style5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KF5 cross-framework integration plugins - KStyle
 Framework Integration is a set of plugins responsible
 for better integration of Qt applications when running
 on a KDE Plasma workspace.
 .
 libkf5style5 provides integration with KDE Plasma Workspace settings
 for Qt styles.
 .
 Derive your Qt style from KStyle to automatically inherit
 various settings from the KDE Plasma Workspace, providing a
 consistent user experience. For example, this will ensure a
 consistent single-click or double-click activation setting,
 and the use of standard themed icons.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='frameworkintegration-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox,
         oxygen-icon-theme, kinit
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/frameworkintegration-([\d.]+)\.tar\.xz

## frameworkintegration 5.50.0

=== debian/changelog ===
frameworkintegration (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:11:24 +0100

frameworkintegration (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:28:48 +0100

frameworkintegration (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:47:30 +0100

frameworkintegration (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * testsuite: allow stderr
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:20 +0200

frameworkintegration (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:54:43 +0100

frameworkintegration (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:09:56 +0200

frameworkintegration (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:17 +0100

frameworkintegration (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:42:58 +0100

frameworkintegration (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:26 +0100

frameworkintegration (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:04:29 +0100

frameworkintegration (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:41:59 -0300

frameworkintegration (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:43:22 +0000

frameworkintegration (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 12:56:16 +0000

frameworkintegration (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:39:05 +0000

frameworkintegration (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:28:03 +0000

frameworkintegration (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:57:28 +0200

frameworkintegration (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Bump Standards-Version to 4.0.1.
  * wrap-and-sort
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:44:02 +0200

frameworkintegration (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:11:59 +0000

frameworkintegration (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * Let autopkgtest take care of the build required for the test
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Jonathan Riddell ]
  * update build-deps for appstream

  [ Raymond Wooninck ]
  * Fix install list
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:50 +0200

frameworkintegration (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:10:11 +0000

frameworkintegration (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:36:36 +0000

frameworkintegration (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:34:09 +0000

frameworkintegration (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:21:29 +0000

frameworkintegration (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:20:54 +0000

frameworkintegration (5.31.0-0neon) xenial; urgency=medium



=== debian/control ===
--- 
+++ 
@@ -3,37 +3,40 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
+Build-Depends: cmake (>= 3.0~),
                dbus-x11,
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
+               debhelper (>= 11~),
+               extra-cmake-modules (>= 5.50.0~),
                libappstreamqt-dev,
-               libkf5config-dev (>= 5.44.0~),
-               libkf5configwidgets-dev (>= 5.44.0~),
-               libkf5i18n-dev (>= 5.44.0~),
-               libkf5iconthemes-dev (>= 5.44.0~),
-               libkf5kio-dev (>= 5.44.0~),
-               libkf5newstuff-dev (>= 5.44.0~),
-               libkf5notifications-dev (>= 5.44.0~),
-               libkf5package-dev (>= 5.44.0~),
-               libkf5widgetsaddons-dev (>= 5.44.0~),
+               libkf5config-dev (>= 5.50.0~),
+               libkf5configwidgets-dev (>= 5.50.0~),
+               libkf5i18n-dev (>= 5.50.0~),
+               libkf5iconthemes-dev (>= 5.50.0~),
+               libkf5kio-dev (>= 5.50.0~),
+               libkf5newstuff-dev (>= 5.50.0~),
+               libkf5notifications-dev (>= 5.50.0~),
+               libkf5package-dev (>= 5.50.0~),
+               libkf5widgetsaddons-dev (>= 5.50.0~),
                libpackagekitqt5-dev,
                libqt5widgets5,
-               libqt5x11extras5-dev (>= 5.6.1~),
+               libqt5x11extras5-dev (>= 5.8.0~),
                libxcursor-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.6.1~),
-               qtbase5-private-dev (>= 5.6.1~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.8.0~),
+               qtbase5-private-dev (>= 5.6.1~),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/frameworkintegration
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/frameworkintegration
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/frameworkintegration
 
 Package: frameworkintegration
 Architecture: any
-Depends: fonts-noto-hinted, ${misc:Depends}, ${shlibs:Depends}
-Breaks: kf5-infopage, kf5-integrationplugin, kf5-platformtheme
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: kf5-infopage,
+        kf5-integrationplugin,
+        kf5-platformtheme,
+        plasma-workspace (<< 4:5.6.0~),
 Replaces: kf5-infopage, kf5-integrationplugin, kf5-platformtheme
 Description: KF5 cross-framework integration plugins
  Framework Integration is a set of plugins responsible
@@ -43,10 +46,10 @@
 Package: libkf5style-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5configwidgets-dev (>= 5.44.0~),
-         libkf5iconthemes-dev (>= 5.44.0~),
+Depends: libkf5configwidgets-dev (>= 5.50.0~),
+         libkf5iconthemes-dev (>= 5.50.0~),
          libkf5style5 (= ${binary:Version}),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: KF5 cross-framework integration plugins - KStyle
  Framework Integration is a set of plugins responsible
  for better integration of Qt applications when running

## frameworkintegration 5.54.0

=== debian/changelog ===
frameworkintegration (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:18 -0300

frameworkintegration (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:20 +0100

frameworkintegration (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:00 +0200

frameworkintegration (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:07:58 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_strip:
	dh_strip --dbgsym-migration='frameworkintegration-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## frameworkintegration 5.56.0

=== debian/changelog ===
frameworkintegration (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:34:09 +0000

frameworkintegration (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:29:08 +0000

frameworkintegration (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:33:27 +0000

frameworkintegration (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:47:20 +0000

frameworkintegration (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:40:56 +0000

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Build-Depends: cmake (>= 3.0~),
                dbus-x11,
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.50.0~),
+               extra-cmake-modules (>= 5.56.0~),
                libappstreamqt-dev,
-               libkf5config-dev (>= 5.50.0~),
-               libkf5configwidgets-dev (>= 5.50.0~),
-               libkf5i18n-dev (>= 5.50.0~),
-               libkf5iconthemes-dev (>= 5.50.0~),
-               libkf5kio-dev (>= 5.50.0~),
-               libkf5newstuff-dev (>= 5.50.0~),
-               libkf5notifications-dev (>= 5.50.0~),
-               libkf5package-dev (>= 5.50.0~),
-               libkf5widgetsaddons-dev (>= 5.50.0~),
+               libkf5config-dev (>= 5.56.0~),
+               libkf5configwidgets-dev (>= 5.56.0~),
+               libkf5i18n-dev (>= 5.56.0~),
+               libkf5iconthemes-dev (>= 5.56.0~),
+               libkf5kio-dev (>= 5.56.0~),
+               libkf5newstuff-dev (>= 5.56.0~),
+               libkf5notifications-dev (>= 5.56.0~),
+               libkf5package-dev (>= 5.56.0~),
+               libkf5widgetsaddons-dev (>= 5.56.0~),
                libpackagekitqt5-dev,
                libqt5widgets5,
                libqt5x11extras5-dev (>= 5.8.0~),
@@ -46,8 +46,8 @@
 Package: libkf5style-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5configwidgets-dev (>= 5.50.0~),
-         libkf5iconthemes-dev (>= 5.50.0~),
+Depends: libkf5configwidgets-dev (>= 5.55.0~),
+         libkf5iconthemes-dev (>= 5.55.0~),
          libkf5style5 (= ${binary:Version}),
          ${misc:Depends},
 Description: KF5 cross-framework integration plugins - KStyle

## frameworkintegration 5.62.0

=== debian/changelog ===
frameworkintegration (5.62.0-1) unstable; urgency=medium

  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:12:50 -0700

frameworkintegration (5.61.0-1) experimental; urgency=medium

  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,32 +3,32 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                dbus-x11,
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.56.0~),
-               libappstreamqt-dev,
-               libkf5config-dev (>= 5.56.0~),
-               libkf5configwidgets-dev (>= 5.56.0~),
-               libkf5i18n-dev (>= 5.56.0~),
-               libkf5iconthemes-dev (>= 5.56.0~),
-               libkf5kio-dev (>= 5.56.0~),
-               libkf5newstuff-dev (>= 5.56.0~),
-               libkf5notifications-dev (>= 5.56.0~),
-               libkf5package-dev (>= 5.56.0~),
-               libkf5widgetsaddons-dev (>= 5.56.0~),
+               extra-cmake-modules (>= 5.62.0~),
+               libappstreamqt-dev (>= 0.10.4~),
+               libkf5config-dev (>= 5.62.0~),
+               libkf5configwidgets-dev (>= 5.62.0~),
+               libkf5i18n-dev (>= 5.62.0~),
+               libkf5iconthemes-dev (>= 5.62.0~),
+               libkf5kio-dev (>= 5.22.0~),
+               libkf5newstuff-dev (>= 5.62.0~),
+               libkf5notifications-dev (>= 5.62.0~),
+               libkf5package-dev (>= 5.62.0~),
+               libkf5widgetsaddons-dev (>= 5.62.0~),
                libpackagekitqt5-dev,
                libqt5widgets5,
-               libqt5x11extras5-dev (>= 5.8.0~),
+               libqt5x11extras5-dev (>= 5.11.0~),
                libxcursor-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
-               qtbase5-private-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.11.0~),
+               qtbase5-private-dev,
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/frameworkintegration
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/frameworkintegration
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/frameworkintegration
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/frameworkintegration
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/frameworkintegration.git
 
 Package: frameworkintegration
 Architecture: any
@@ -44,10 +44,10 @@
  on a KDE Plasma workspace.
 
 Package: libkf5style-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
-Depends: libkf5configwidgets-dev (>= 5.55.0~),
-         libkf5iconthemes-dev (>= 5.55.0~),
+Depends: libkf5configwidgets-dev (>= 5.62.0~),
+         libkf5iconthemes-dev (>= 5.62.0~),
          libkf5style5 (= ${binary:Version}),
          ${misc:Depends},
 Description: KF5 cross-framework integration plugins - KStyle
@@ -65,6 +65,7 @@
  and the use of standard themed icons.
  .
  This package provides the development files.
+Breaks: libkf5kdelibs4support-dev (<< 5.54)
 
 Package: libkf5style5
 Architecture: any

## frameworkintegration 5.67.0

=== debian/changelog ===
frameworkintegration (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:47:56 +0000

frameworkintegration (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:17:02 +0000

frameworkintegration (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 22:56:54 +0000

frameworkintegration (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:22:30 +0000

frameworkintegration (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:04:55 +0100

frameworkintegration (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:40:29 +0100

frameworkintegration (5.60.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:14:08 +0100

frameworkintegration (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.1)
  * debian/patches:upstream_search-new-knsrc-location.patch
    Drop as included in source.
  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:17:22 +0100

frameworkintegration (5.58.0-0ubuntu2) eoan; urgency=medium

  * debian/patches:upstream_search-new-knsrc-location.patch
    Add patch recommended by upstream KDE to fix finding knsrc config files
    once Plasma and apps start to use their new default path.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 May 2019 12:35:34 +0100

frameworkintegration (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:38:06 +0100

frameworkintegration (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:35:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,32 +3,32 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.0~),
                dbus-x11,
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.62.0~),
-               libappstreamqt-dev (>= 0.10.4~),
-               libkf5config-dev (>= 5.62.0~),
-               libkf5configwidgets-dev (>= 5.62.0~),
-               libkf5i18n-dev (>= 5.62.0~),
-               libkf5iconthemes-dev (>= 5.62.0~),
-               libkf5kio-dev (>= 5.22.0~),
-               libkf5newstuff-dev (>= 5.62.0~),
-               libkf5notifications-dev (>= 5.62.0~),
-               libkf5package-dev (>= 5.62.0~),
-               libkf5widgetsaddons-dev (>= 5.62.0~),
+               extra-cmake-modules (>= 5.67.0~),
+               libappstreamqt-dev,
+               libkf5config-dev (>= 5.67.0~),
+               libkf5configwidgets-dev (>= 5.67.0~),
+               libkf5i18n-dev (>= 5.67.0~),
+               libkf5iconthemes-dev (>= 5.67.0~),
+               libkf5kio-dev (>= 5.67.0~),
+               libkf5newstuff-dev (>= 5.67.0~),
+               libkf5notifications-dev (>= 5.67.0~),
+               libkf5package-dev (>= 5.67.0~),
+               libkf5widgetsaddons-dev (>= 5.67.0~),
                libpackagekitqt5-dev,
                libqt5widgets5,
-               libqt5x11extras5-dev (>= 5.11.0~),
+               libqt5x11extras5-dev (>= 5.8.0~),
                libxcursor-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.11.0~),
-               qtbase5-private-dev,
+               qtbase5-dev (>= 5.8.0~),
+               qtbase5-private-dev (>= 5.6.1~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/frameworkintegration
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/frameworkintegration
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/frameworkintegration.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/frameworkintegration
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/frameworkintegration
 
 Package: frameworkintegration
 Architecture: any
@@ -44,10 +44,10 @@
  on a KDE Plasma workspace.
 
 Package: libkf5style-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: libkf5configwidgets-dev (>= 5.62.0~),
-         libkf5iconthemes-dev (>= 5.62.0~),
+Depends: libkf5configwidgets-dev (>= 5.67.0~),
+         libkf5iconthemes-dev (>= 5.67.0~),
          libkf5style5 (= ${binary:Version}),
          ${misc:Depends},
 Description: KF5 cross-framework integration plugins - KStyle
@@ -65,7 +65,6 @@
  and the use of standard themed icons.
  .
  This package provides the development files.
-Breaks: libkf5kdelibs4support-dev (<< 5.54)
 
 Package: libkf5style5
 Architecture: any

## frameworkintegration 5.68.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.68.0") # handled by release scripts
set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
project(FrameworkIntegration VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.68.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})


include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

set(REQUIRED_QT_VERSION 5.12.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui Widgets)


ecm_setup_version(PROJECT VARIABLE_PREFIX FRAMEWORKINTEGRATION
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/frameworkintegration_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5FrameworkIntegrationConfigVersion.cmake"
                  SOVERSION 5)

find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Notifications ${KF5_DEP_VERSION} REQUIRED)


option(BUILD_KPACKAGE_INSTALL_HANDLERS "Build the KPackage install handler binaries (recommended)" ON)
if (BUILD_KPACKAGE_INSTALL_HANDLERS)
   find_package(KF5NewStuff ${KF5_DEP_VERSION} REQUIRED)
   find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
   find_package(KF5Package ${KF5_DEP_VERSION} REQUIRED)
   find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)

   find_package(packagekitqt5)
   find_package(AppStreamQt 0.10.4)
endif()
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
add_definitions(-DQT_NO_FOREACH)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5FrameworkIntegration")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5FrameworkIntegrationConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5FrameworkIntegrationConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5FrameworkIntegrationConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5FrameworkIntegrationConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5FrameworkIntegrationTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5FrameworkIntegrationTargets.cmake NAMESPACE KF5:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/frameworkintegration_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )

install(FILES plasma_workspace.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR})


feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/kpackage-install-handlers/kns/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
+configure_file(knshandlerversion.h.in knshandlerversion.h)
 add_executable(knshandler main.cpp)
-target_link_libraries(knshandler KF5::NewStuffCore KF5::I18n KF5::Notifications)
+target_link_libraries(knshandler KF5::NewStuffCore KF5::I18n KF5::Notifications Qt5::Xml)
 
 install(TARGETS knshandler DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF5}/kpackagehandlers)
 
 add_executable(knshandlertest main.cpp)
-target_link_libraries(knshandlertest KF5::NewStuffCore KF5::I18n KF5::Notifications)
+target_link_libraries(knshandlertest KF5::NewStuffCore KF5::I18n KF5::Notifications Qt5::Xml)
 target_compile_definitions(knshandlertest PRIVATE -DTEST)
 
 if(EXISTS "${CMAKE_INSTALL_PREFIX}/${CONFIG_INSTALL_DIR}/colorschemes.knsrc")

=== debian/changelog ===
frameworkintegration (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:55:24 +0000

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Build-Depends: cmake (>= 3.0~),
                dbus-x11,
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.67.0~),
+               extra-cmake-modules (>= 5.68.0~),
                libappstreamqt-dev,
-               libkf5config-dev (>= 5.67.0~),
-               libkf5configwidgets-dev (>= 5.67.0~),
-               libkf5i18n-dev (>= 5.67.0~),
-               libkf5iconthemes-dev (>= 5.67.0~),
-               libkf5kio-dev (>= 5.67.0~),
-               libkf5newstuff-dev (>= 5.67.0~),
-               libkf5notifications-dev (>= 5.67.0~),
-               libkf5package-dev (>= 5.67.0~),
-               libkf5widgetsaddons-dev (>= 5.67.0~),
+               libkf5config-dev (>= 5.68.0~),
+               libkf5configwidgets-dev (>= 5.68.0~),
+               libkf5i18n-dev (>= 5.68.0~),
+               libkf5iconthemes-dev (>= 5.68.0~),
+               libkf5kio-dev (>= 5.68.0~),
+               libkf5newstuff-dev (>= 5.68.0~),
+               libkf5notifications-dev (>= 5.68.0~),
+               libkf5package-dev (>= 5.68.0~),
+               libkf5widgetsaddons-dev (>= 5.68.0~),
                libpackagekitqt5-dev,
                libqt5widgets5,
                libqt5x11extras5-dev (>= 5.8.0~),
@@ -46,8 +46,8 @@
 Package: libkf5style-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5configwidgets-dev (>= 5.67.0~),
-         libkf5iconthemes-dev (>= 5.67.0~),
+Depends: libkf5configwidgets-dev (>= 5.68.0~),
+         libkf5iconthemes-dev (>= 5.68.0~),
          libkf5style5 (= ${binary:Version}),
          ${misc:Depends},
 Description: KF5 cross-framework integration plugins - KStyle

## frameworkintegration 5.74.0

=== debian/changelog ===
frameworkintegration (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:57:09 +0100

frameworkintegration (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:55:44 +0100

frameworkintegration (5.72.0-0ubuntu2) groovy; urgency=medium

  * Disable build-needed testsuite.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Aug 2020 15:23:25 +0100

frameworkintegration (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:29:55 +0100

frameworkintegration (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:04:10 +0100

frameworkintegration (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields,
    - debhelper-compat = 12 for backports.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Jun 2020 14:07:48 +0100

frameworkintegration (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.22.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove not needed Build-Depends.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:58:20 +0200

frameworkintegration (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:29:45 +0100

frameworkintegration (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Add Build-Depends-Package to symbols file.
  * Update copyright file.
  * Enable hardening all.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:58:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,32 +3,32 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                dbus-x11,
-               debhelper (>= 11~),
-               extra-cmake-modules (>= 5.68.0~),
-               libappstreamqt-dev,
-               libkf5config-dev (>= 5.68.0~),
-               libkf5configwidgets-dev (>= 5.68.0~),
-               libkf5i18n-dev (>= 5.68.0~),
-               libkf5iconthemes-dev (>= 5.68.0~),
-               libkf5kio-dev (>= 5.68.0~),
-               libkf5newstuff-dev (>= 5.68.0~),
-               libkf5notifications-dev (>= 5.68.0~),
-               libkf5package-dev (>= 5.68.0~),
-               libkf5widgetsaddons-dev (>= 5.68.0~),
+               debhelper-compat (= 12),
+               extra-cmake-modules (>= 5.74.0~),
+               libappstreamqt-dev (>= 0.10.4~),
+               libkf5config-dev (>= 5.74.0~),
+               libkf5configwidgets-dev (>= 5.74.0~),
+               libkf5i18n-dev (>= 5.74.0~),
+               libkf5iconthemes-dev (>= 5.74.0~),
+               libkf5newstuff-dev (>= 5.74.0~),
+               libkf5notifications-dev (>= 5.74.0~),
+               libkf5package-dev (>= 5.74.0~),
+               libkf5widgetsaddons-dev (>= 5.74.0~),
                libpackagekitqt5-dev,
                libqt5widgets5,
-               libqt5x11extras5-dev (>= 5.8.0~),
+               libqt5x11extras5-dev (>= 5.11.0~),
                libxcursor-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
-               qtbase5-private-dev (>= 5.6.1~),
-Standards-Version: 4.1.4
+               qtbase5-dev (>= 5.12.0~),
+               qtbase5-private-dev,
+Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/frameworks/frameworkintegration
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/frameworkintegration
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/frameworkintegration
+Rules-Requires-Root: no
 
 Package: frameworkintegration
 Architecture: any
@@ -36,7 +36,7 @@
 Breaks: kf5-infopage,
         kf5-integrationplugin,
         kf5-platformtheme,
-        plasma-workspace (<< 4:5.6.0~),
+        plasma-workspace (<< 4:5.6.0~)
 Replaces: kf5-infopage, kf5-integrationplugin, kf5-platformtheme
 Description: KF5 cross-framework integration plugins
  Framework Integration is a set of plugins responsible
@@ -44,10 +44,10 @@
  on a KDE Plasma workspace.
 
 Package: libkf5style-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
-Depends: libkf5configwidgets-dev (>= 5.68.0~),
-         libkf5iconthemes-dev (>= 5.68.0~),
+Depends: libkf5configwidgets-dev (>= 5.74.0~),
+         libkf5iconthemes-dev (>= 5.74.0~),
          libkf5style5 (= ${binary:Version}),
          ${misc:Depends},
 Description: KF5 cross-framework integration plugins - KStyle
@@ -65,6 +65,7 @@
  and the use of standard themed icons.
  .
  This package provides the development files.
+Breaks: libkf5kdelibs4support-dev (<< 5.54)
 
 Package: libkf5style5
 Architecture: any

## frameworkintegration 5.78.0

=== src/integrationplugin/CMakeLists.txt ===

add_library(FrameworkIntegrationPlugin
    MODULE frameworkintegrationplugin.cpp)

target_link_libraries(FrameworkIntegrationPlugin
    PRIVATE
        KF5::WidgetsAddons
        KF5::ConfigCore
        KF5::Notifications
)

install(TARGETS FrameworkIntegrationPlugin
        DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5)

=== src/kstyle/CMakeLists.txt ===
# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Style")

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_library(KF5Style kstyle.cpp)
generate_export_header(KF5Style BASE_NAME KStyle)
add_library(KF5::Style ALIAS KF5Style)

target_include_directories(KF5Style INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KStyle>")

target_link_libraries(KF5Style
    PUBLIC
        Qt5::Widgets
    PRIVATE
        KF5::ConfigWidgets
        KF5::IconThemes
)

set_target_properties(KF5Style PROPERTIES VERSION   ${FRAMEWORKINTEGRATION_VERSION_STRING}
                                          SOVERSION ${FRAMEWORKINTEGRATION_SOVERSION}
                                          EXPORT_NAME Style
)

ecm_generate_headers(KStyle_HEADERS
  HEADER_NAMES
    KStyle
  REQUIRED_HEADERS KStyle_HEADERS
)

install(TARGETS KF5Style
        EXPORT KF5FrameworkIntegrationTargets
        ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kstyle_export.h
              ${KStyle_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KStyle
        COMPONENT Devel)

=== debian/changelog ===
frameworkintegration (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:18 +0900

frameworkintegration (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:40 +0900

frameworkintegration (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:32 +0900

frameworkintegration (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:51 +0900

frameworkintegration (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:19:24 +0200

frameworkintegration (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,34 @@
 Source: frameworkintegration
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
                dbus-x11,
-               debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.74.0~),
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 5.78.0~),
                libappstreamqt-dev (>= 0.10.4~),
-               libkf5config-dev (>= 5.74.0~),
-               libkf5configwidgets-dev (>= 5.74.0~),
-               libkf5i18n-dev (>= 5.74.0~),
-               libkf5iconthemes-dev (>= 5.74.0~),
-               libkf5newstuff-dev (>= 5.74.0~),
-               libkf5notifications-dev (>= 5.74.0~),
-               libkf5package-dev (>= 5.74.0~),
-               libkf5widgetsaddons-dev (>= 5.74.0~),
+               libkf5config-dev (>= 5.78.0~),
+               libkf5configwidgets-dev (>= 5.78.0~),
+               libkf5i18n-dev (>= 5.78.0~),
+               libkf5iconthemes-dev (>= 5.78.0~),
+               libkf5newstuff-dev (>= 5.78.0~),
+               libkf5notifications-dev (>= 5.78.0~),
+               libkf5package-dev (>= 5.78.0~),
+               libkf5widgetsaddons-dev (>= 5.78.0~),
                libpackagekitqt5-dev,
                libqt5widgets5,
                libqt5x11extras5-dev (>= 5.11.0~),
                libxcursor-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.12.0~),
-               qtbase5-private-dev,
-Standards-Version: 4.5.0
-Homepage: https://projects.kde.org/projects/frameworks/frameworkintegration
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/frameworkintegration
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/frameworkintegration
+               qtbase5-dev (>= 5.14.0~),
+               qtbase5-private-dev
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/frameworks/frameworkintegration
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/frameworkintegration
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/frameworkintegration.git
 Rules-Requires-Root: no
 
 Package: frameworkintegration
@@ -46,10 +47,10 @@
 Package: libkf5style-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5configwidgets-dev (>= 5.74.0~),
-         libkf5iconthemes-dev (>= 5.74.0~),
+Depends: libkf5configwidgets-dev (>= 5.78.0~),
+         libkf5iconthemes-dev (>= 5.78.0~),
          libkf5style5 (= ${binary:Version}),
-         ${misc:Depends},
+         ${misc:Depends}
 Description: KF5 cross-framework integration plugins - KStyle
  Framework Integration is a set of plugins responsible
  for better integration of Qt applications when running

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox,
         oxygen-icon-theme, kinit
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr
